post
https://organization/v1/users/patients//alerts
Create a new Patient Alert by Template id
Request Body Parameters:
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| _state | string | false | The alert wanted state Values:ACTIVE,CLEARED,SUSPENDED Default:ACTIVE | ACTIVE |
| _severity | string | false | The alert wanted severity Values:CRITICAL,MAJOR,MINOR,INFO Default:INFO | MAJOR |
| _clearNotes | string | false | Clear notes | |
| _name | string | false | The name of the alert | |
| _templateId | string | true | The id of a template that is configured in the settings service. | 3fa85f64-5717-4562-b3fc-2c963f66afa6 |
| Path Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| patientId | string | true | null | |
| Query Parameters: |
| Parameter | Type | Mandatory | Description | Example |
|---|---|---|---|---|
| includeReferencers | boolean | false | Optional query parameter that controls whether the response should include referencers metadata. When set to true, the response will contain an additional _referencers JSON node with information about entities that reference this entity (e.g. referrer template, attribute, count, etc.).If this query parameter is not provided, a default behavior will be applied. The default value is configurable and may differ between environments. Note: Enabling referencers information may impact performance, as additional data needs to be resolved and returned. |
This API requires PROTECTED_API permission(s).
